Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.dom
Class DOMTableGenerator

    java.lang.Object
      com.dbxml.xml.dtsm.TableGenerator
          com.dbxml.xml.dom.DOMTableGenerator

public final class DOMTableGenerator
extends TableGenerator

DOMTableGenerator

Constructor Summary
`DOMTableGenerator(org.w3c.dom.Node node)`

Method Summary
`DocumentTable` | `process()` process effectively kicks off the generation process and when complete, returns the new DocumentTable instance.

Methods inherited from class com.dbxml.xml.dtsm.TableGenerator
`getProperty, getSymbolTable, setProperty, setSymbolTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMTableGenerator

    public DOMTableGenerator(org.w3c.dom.Node node)

Method Detail

### process

    public DocumentTable process()
                          throws DTSMException

  Description copied from class: `TableGenerator`
  process effectively kicks off the generation process and when complete, returns the new DocumentTable instance.

  Specified by:
    `process` in class `TableGenerator`
  Returns:
    The DocumentTable
  Throws:
    `DTSMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group